Package org.zkoss.zkmax.au.websocket

## Class RequestWrapper

- java.lang.Object
- - javax.servlet.ServletRequestWrapper
  - - javax.servlet.http.HttpServletRequestWrapper
    - - org.zkoss.zkmax.au.websocket.RequestWrapper

- All Implemented Interfaces:
    `javax.servlet.http.HttpServletRequest`, `javax.servlet.ServletRequest`

      public class RequestWrapper
      extends javax.servlet.http.HttpServletRequestWrapper

  A facade request for WebSocket wrapping the WebSocket handshake request.
  Since:
    8.5.0
  Author:
    wenninghsu

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RequestWrapper​(javax.servlet.http.HttpServletRequest request, java.util.Map<java.lang.String,​java.lang.String> headers)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getAttribute​(java.lang.String name)` |
    `java.util.Enumeration<java.lang.String>` | `getAttributeNames()` |
    `java.lang.String` | `getHeader​(java.lang.String name)` |
    `java.util.Enumeration<java.lang.String>` | `getHeaderNames()` |
    `java.util.Enumeration<java.lang.String>` | `getHeaders​(java.lang.String name)` |
    `protected void` | `removeAllAttributes()` |
    `void` | `removeAttribute​(java.lang.String name)` |
    `void` | `setAttribute​(java.lang.String name, java.lang.Object o)` |

    - ### Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

      `authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole, login, logout, upgrade`

    - ### Methods inherited from class javax.servlet.ServletRequestWrapper

      `getAsyncContext, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, setCharacterEncoding, setRequest, startAsync, startAsync`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, setCharacterEncoding, startAsync, startAsync`

- - ### Constructor Detail

    - #### RequestWrapper

          public RequestWrapper​(javax.servlet.http.HttpServletRequest request,
                                java.util.Map<java.lang.String,​java.lang.String> headers)

  - ### Method Detail

    - #### getHeader

          public java.lang.String getHeader​(java.lang.String name)

      Specified by:
        `getHeader` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getHeaders

          public java.util.Enumeration<java.lang.String> getHeaders​(java.lang.String name)

      Specified by:
        `getHeaders` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeaders` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getHeaderNames

          public java.util.Enumeration<java.lang.String> getHeaderNames()

      Specified by:
        `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getHeaderNames` in class `javax.servlet.http.HttpServletRequestWrapper`

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.String name)

      Specified by:
        `getAttribute` in interface `javax.servlet.ServletRequest`
      Overrides:
        `getAttribute` in class `javax.servlet.ServletRequestWrapper`

    - #### getAttributeNames

          public java.util.Enumeration<java.lang.String> getAttributeNames()

      Specified by:
        `getAttributeNames` in interface `javax.servlet.ServletRequest`
      Overrides:
        `getAttributeNames` in class `javax.servlet.ServletRequestWrapper`

    - #### setAttribute

          public void setAttribute​(java.lang.String name,
                                   java.lang.Object o)

      Specified by:
        `setAttribute` in interface `javax.servlet.ServletRequest`
      Overrides:
        `setAttribute` in class `javax.servlet.ServletRequestWrapper`

    - #### removeAttribute

          public void removeAttribute​(java.lang.String name)

      Specified by:
        `removeAttribute` in interface `javax.servlet.ServletRequest`
      Overrides:
        `removeAttribute` in class `javax.servlet.ServletRequestWrapper`

    - #### removeAllAttributes

          protected void removeAllAttributes()